/*
 *        make_DF.c
 *
 * The Default Instruction (DF)
 */
#include "defn.h"

make_DF()
{
    /*
     * PA - plotting mode 
     */
    PLOTABS = TRUE;
    /*
     * SC - scale off 
     */
    USER_UNITS = FALSE;
    redefineP1P2();
    /*
     * SM - symbol mode off 
     */
    SYMBOLX = FALSE;
    /*
     * IW input window 
     */
    maxwindow();
    /*
     * DT - label terminator 
     */
    EOL = '\003';
    /*
     * LT - line type 
     */
    SETDOT = FALSE;
    LINE_STYLE = SOLID_LINE;
    LINE_LENGTH = 4.0;
    fprintf(outfile, "[] 0 setdash\n");
    /*
     * DR1,0 - relative character direction 
     */
    char_angle = 0;
    /*
     * SL0 - character slant 
     */
    char_tan = 0;
    /*
     * SR - relative character size 
     */
    char_width = (U2x - U1x) * XSCALE * DEFWIDTH / 100.0;      /*   mm     */
    char_height = (U2y - U1y) * YSCALE * DEFHEIGHT / 100.0;    /*   mm     */
    rel_WIDTH = DEFWIDTH;
    rel_HEIGHT = DEFHEIGHT;
    
    char_space = char_width * (1/.67 - 1);
    fprintf(outfile, "/%s %g %g %g DefFont\n",
	font, chWfact * char_width, chHfact * char_height, char_slant);

    /*
     * TL - tick length 
     */
    urTICK = 0.5;
    dlTICK = 0.5;
    /*
     * FT - fill type 
     */
    FILL_TYPE = 1;
    FILL_ANGLE = 0;
    FILL_SPACING = pow((U2x - U1x), 2.0) + pow((U2y - U1y), 2.0);
    FILL_SPACING = pow(FILL_SPACING, 0.5);
    FILL_SPACING /= 100;
}
