# include "stdio.h"
# define U(x) ((unsigned char)(x))
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX 200
# define output(c) (void)putc(c,yyout)
#if defined(__cplusplus) || defined(__STDC__)

#ifdef __cplusplus
extern "C" {
#endif
	int yylex(void);
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
#ifndef yyless
	void yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef __cplusplus
}
#endif

#endif

# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO (void)fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

# line 3 "hpgl.l"
/*****************************************************************\
 * FILE: hpgl.l   part of hpgl to X windows                      *
 *                                                               *
 * Written by Randy L. Yach aid by Jackie Harrison               *
 * Some additional rules added by Andrew Gerber                  *
 * (gerber@solbourne.com) during port to X11                     *
 *  Decription:                                                  *
 *    this is the lexical analizer of HPGL syntax.  All action   *
 *    tokens are covered first.                                  *
\*****************************************************************/

#include <stdio.h>
#include "y.tab.h"

#ifdef sgi
#include <math.h>
#endif

#ifdef ULTRIX
#include <math.h>
#endif


# line 25 "hpgl.l"
/* need this because the sun 386i has a funny location of the atof
   definition */
#ifdef UI38
#include <floatingpoint.h>
#endif


# line 31 "hpgl.l"
/* need this to keep count of the input lines for error messages */
int hline = 1;
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 43 "hpgl.l"
                        {
                                return(LT);
                                }
break;
case 2:

# line 46 "hpgl.l"
                     {
                                /* strip off the LB and the ending ^C
                                   from the input line and return it */
			        strcpy(yylval.sb,&yytext[2]);
				yylval.sb[strlen(yylval.sb)-1] = '\0';
				return(LB);
				}
break;
case 3:

# line 53 "hpgl.l"
                             {
				return(SC);
				}
break;
case 4:

# line 56 "hpgl.l"
                         {
                                /* return the pen number */
				yylval.i = yytext[2] - '0';
				return(SP);
				}
break;
case 5:

# line 61 "hpgl.l"
             		{
				return(PA);
				}
break;
case 6:

# line 64 "hpgl.l"
             		{
				return(PR);
				}
break;
case 7:

# line 67 "hpgl.l"
             		{
				return(PU);
				}
break;
case 8:

# line 70 "hpgl.l"
             		{
				return(PD);
				}
break;
case 9:

# line 73 "hpgl.l"
             		{
				return(EA);
				}
break;
case 10:

# line 76 "hpgl.l"
             		{
				return(RA);
				}
break;
case 11:

# line 79 "hpgl.l"
                             {
                                return(EAT_TO_SEMI);
                                }
break;
case 12:

# line 82 "hpgl.l"
                        {
                                /* integer digit routine */
				yylval.i = atoi(yytext);
				return(DIGIT);
				}
break;
case 13:

# line 87 "hpgl.l"
                        {
                                /* real digit routine */
				yylval.f = atof(yytext);
				return(NUMBER);
				}
break;
case 14:

# line 92 "hpgl.l"
			{
				return(SEMICOLON);
                                }
break;
case 15:

# line 95 "hpgl.l"
                             {
				return(COMMA);
                                }
break;
case 16:

# line 98 "hpgl.l"
                           return(RESET);
break;
case 17:

# line 99 "hpgl.l"
                           return(RESET);
break;
case 18:

# line 100 "hpgl.l"
		        ;
break;
case 19:

# line 101 "hpgl.l"
                           {
                                hline++;
				}
break;
case 20:

# line 104 "hpgl.l"
            ;
break;
case 21:

# line 105 "hpgl.l"
       ;
break;
case 22:

# line 106 "hpgl.l"
       ;
break;
case 23:

# line 107 "hpgl.l"
         ;
break;
case 24:

# line 108 "hpgl.l"
                        ;
break;
case 25:

# line 109 "hpgl.l"
                           ;
break;
case 26:

# line 110 "hpgl.l"
                           ;
break;
case 27:

# line 111 "hpgl.l"
                         ;
break;
case 28:

# line 112 "hpgl.l"
         ;
break;
case 29:

# line 113 "hpgl.l"
         ;
break;
case 30:

# line 114 "hpgl.l"
         ;
break;
case 31:

# line 115 "hpgl.l"
                           ;
break;
case 32:

# line 116 "hpgl.l"
            ;
break;
case 33:

# line 117 "hpgl.l"
                       ;
break;
case 34:

# line 118 "hpgl.l"
                        ;
break;
case 35:

# line 119 "hpgl.l"
            ;
break;
case 36:

# line 120 "hpgl.l"
                           ;
break;
case 37:

# line 121 "hpgl.l"
                           ;
break;
case 38:

# line 122 "hpgl.l"
         ;
break;
case 39:

# line 123 "hpgl.l"
                       ;
break;
case 40:

# line 124 "hpgl.l"
                           ;
break;
case 41:

# line 125 "hpgl.l"
                           ;
break;
case 42:

# line 126 "hpgl.l"
                        ;
break;
case 43:

# line 127 "hpgl.l"
                        ;
break;
case 44:

# line 128 "hpgl.l"
                              ;
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */
int yyvstop[] = {
0,

18,
0,

18,
0,

44,
0,

18,
44,
0,

19,
0,

15,
44,
0,

44,
0,

13,
44,
0,

12,
13,
44,
0,

14,
44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

44,
0,

18,
0,

13,
0,

12,
13,
0,

20,
0,

9,
0,

2,
0,

1,
0,

5,
0,

8,
0,

6,
0,

7,
0,

10,
0,

3,
0,

4,
0,

11,
0,

21,
0,

25,
0,

17,
0,

22,
0,

26,
0,

23,
0,

28,
0,

16,
0,

29,
0,

30,
0,

2,
0,

27,
0,

31,
37,
0,

33,
0,

4,
0,

36,
0,

38,
0,

39,
0,

40,
0,

41,
0,

20,
0,

24,
0,

43,
0,

42,
0,

32,
0,

34,
0,

35,
0,
0};
# define YYTYPE unsigned char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,4,	1,5,	
4,25,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	1,4,	1,3,	4,25,	
0,0,	0,0,	0,0,	0,0,	
0,0,	1,3,	0,0,	0,0,	
0,0,	1,6,	1,7,	1,8,	
7,26,	1,9,	7,27,	7,27,	
7,27,	7,27,	7,27,	7,27,	
7,27,	7,27,	7,27,	7,27,	
1,10,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,3,	13,36,	
1,11,	1,12,	1,13,	21,60,	
0,0,	0,0,	1,14,	0,0,	
15,41,	1,15,	20,59,	30,67,	
1,16,	1,17,	31,68,	1,18,	
1,19,	1,20,	1,21,	1,22,	
22,61,	1,23,	1,24,	2,11,	
2,12,	2,13,	15,42,	14,37,	
14,38,	2,14,	14,39,	17,44,	
2,15,	23,62,	17,45,	2,16,	
2,17,	14,40,	2,18,	2,19,	
2,20,	2,21,	2,22,	24,63,	
2,23,	2,24,	8,28,	8,28,	
17,46,	17,47,	18,49,	17,48,	
8,26,	33,71,	8,26,	8,26,	
8,26,	8,26,	8,26,	8,26,	
8,26,	8,26,	8,26,	8,26,	
18,50,	38,77,	43,83,	51,86,	
58,92,	62,96,	8,28,	8,28,	
8,28,	8,28,	8,28,	8,28,	
8,28,	8,28,	8,28,	8,28,	
8,28,	8,28,	8,28,	8,28,	
8,28,	8,28,	8,28,	8,28,	
8,28,	8,28,	8,28,	8,28,	
8,28,	8,28,	8,28,	8,28,	
8,28,	11,29,	11,29,	11,29,	
11,29,	11,29,	11,29,	11,29,	
11,29,	11,29,	11,29,	11,29,	
11,29,	11,29,	11,29,	11,29,	
11,29,	11,29,	11,29,	11,29,	
11,29,	11,29,	11,29,	11,29,	
11,29,	11,29,	11,29,	12,30,	
63,97,	64,98,	12,31,	74,99,	
84,100,	12,32,	85,101,	89,103,	
105,94,	0,0,	0,0,	0,0,	
12,33,	0,0,	12,34,	0,0,	
12,35,	16,43,	16,43,	16,43,	
16,43,	16,43,	16,43,	16,43,	
16,43,	16,43,	16,43,	16,43,	
16,43,	16,43,	16,43,	16,43,	
16,43,	16,43,	16,43,	16,43,	
16,43,	16,43,	16,43,	16,43,	
16,43,	16,43,	16,43,	19,51,	
0,0,	19,52,	0,0,	0,0,	
0,0,	0,0,	0,0,	19,53,	
0,0,	0,0,	19,54,	19,55,	
0,0,	0,0,	19,56,	0,0,	
19,57,	19,58,	26,26,	26,26,	
26,26,	26,26,	26,26,	26,26,	
26,26,	26,26,	26,26,	26,26,	
28,64,	28,64,	28,64,	28,64,	
28,64,	28,64,	28,64,	28,64,	
28,64,	28,64,	0,0,	28,64,	
0,0,	0,0,	0,0,	0,0,	
0,0,	28,64,	28,64,	28,64,	
28,64,	28,64,	28,64,	28,64,	
28,64,	28,64,	28,64,	28,64,	
28,64,	28,64,	28,64,	28,64,	
28,64,	28,64,	28,64,	28,64,	
28,64,	28,64,	28,64,	28,64,	
28,64,	28,64,	28,64,	29,65,	
0,0,	29,29,	0,0,	29,29,	
29,29,	29,29,	29,29,	29,29,	
29,29,	29,29,	29,29,	29,29,	
29,29,	0,0,	29,66,	32,69,	
32,32,	32,32,	0,0,	32,32,	
32,32,	32,32,	32,32,	32,32,	
32,32,	32,32,	32,32,	32,32,	
32,32,	34,72,	32,70,	0,0,	
0,0,	34,34,	34,34,	34,34,	
34,34,	34,34,	34,34,	34,34,	
34,34,	34,34,	34,34,	0,0,	
34,73,	35,74,	35,74,	35,74,	
35,74,	35,74,	35,74,	35,74,	
35,74,	35,74,	35,74,	35,74,	
35,74,	35,74,	35,74,	35,74,	
35,74,	35,74,	35,74,	35,74,	
35,74,	35,74,	35,74,	35,74,	
35,74,	35,74,	35,74,	37,75,	
0,0,	0,0,	0,0,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	39,78,	37,76,	0,0,	
0,0,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	39,39,	
39,39,	39,39,	39,39,	40,80,	
39,79,	41,82,	0,0,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	0,0,	40,81,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	0,0,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
0,0,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	0,0,	0,0,	
0,0,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	41,41,	41,41,	
41,41,	41,41,	0,0,	41,41,	
47,84,	41,41,	47,84,	47,84,	
47,84,	47,84,	47,84,	47,84,	
47,84,	47,84,	47,84,	47,84,	
50,85,	50,85,	50,85,	50,85,	
50,85,	50,85,	50,85,	50,85,	
50,85,	50,85,	53,87,	0,0,	
53,53,	0,0,	53,53,	53,53,	
53,53,	53,53,	53,53,	53,53,	
53,53,	53,53,	53,53,	53,53,	
54,54,	54,54,	54,54,	54,54,	
54,54,	54,54,	54,54,	54,54,	
54,54,	54,54,	0,0,	54,88,	
55,89,	55,89,	55,89,	55,89,	
55,89,	55,89,	55,89,	55,89,	
55,89,	55,89,	55,89,	55,89,	
55,89,	55,89,	55,89,	55,89,	
55,89,	55,89,	55,89,	55,89,	
55,89,	55,89,	55,89,	55,89,	
55,89,	55,89,	56,90,	56,90,	
56,90,	56,90,	56,90,	56,90,	
56,90,	56,90,	56,90,	56,90,	
57,91,	0,0,	57,57,	0,0,	
57,57,	57,57,	57,57,	57,57,	
57,57,	57,57,	57,57,	57,57,	
57,57,	57,57,	59,93,	0,0,	
59,59,	0,0,	59,59,	59,59,	
59,59,	59,59,	59,59,	59,59,	
59,59,	59,59,	59,59,	59,59,	
0,0,	59,94,	61,61,	61,61,	
61,61,	61,61,	61,61,	61,61,	
61,61,	61,61,	61,61,	61,61,	
0,0,	61,95,	65,65,	65,65,	
65,65,	65,65,	65,65,	65,65,	
65,65,	65,65,	65,65,	65,65,	
0,0,	65,66,	69,69,	69,69,	
0,0,	69,69,	69,69,	69,69,	
69,69,	69,69,	69,69,	69,69,	
69,69,	69,69,	69,69,	0,0,	
69,70,	72,72,	72,72,	72,72,	
72,72,	72,72,	72,72,	72,72,	
72,72,	72,72,	72,72,	0,0,	
72,73,	75,75,	75,75,	75,75,	
75,75,	75,75,	75,75,	75,75,	
75,75,	75,75,	75,75,	78,78,	
78,78,	78,78,	78,78,	78,78,	
78,78,	78,78,	78,78,	78,78,	
78,78,	80,80,	80,80,	80,80,	
80,80,	80,80,	80,80,	80,80,	
80,80,	80,80,	80,80,	87,87,	
0,0,	87,87,	87,87,	87,87,	
87,87,	87,87,	87,87,	87,87,	
87,87,	87,87,	87,87,	91,91,	
87,102,	91,91,	91,91,	91,91,	
91,91,	91,91,	91,91,	91,91,	
91,91,	91,91,	91,91,	93,105,	
91,104,	93,105,	93,105,	93,105,	
93,105,	93,105,	93,105,	93,105,	
93,105,	93,105,	93,105,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		yyvstop+1,
yycrank+-24,	yysvec+1,	yyvstop+3,
yycrank+0,	0,		yyvstop+5,
yycrank+3,	0,		yyvstop+7,
yycrank+0,	0,		yyvstop+10,
yycrank+0,	0,		yyvstop+12,
yycrank+2,	0,		yyvstop+15,
yycrank+74,	0,		yyvstop+17,
yycrank+0,	yysvec+7,	yyvstop+20,
yycrank+0,	0,		yyvstop+24,
yycrank+100,	0,		yyvstop+27,
yycrank+124,	0,		yyvstop+29,
yycrank+2,	0,		yyvstop+31,
yycrank+18,	0,		yyvstop+33,
yycrank+10,	0,		yyvstop+35,
yycrank+144,	0,		yyvstop+37,
yycrank+34,	0,		yyvstop+39,
yycrank+53,	0,		yyvstop+41,
yycrank+170,	0,		yyvstop+43,
yycrank+2,	0,		yyvstop+45,
yycrank+4,	0,		yyvstop+47,
yycrank+5,	0,		yyvstop+49,
yycrank+17,	0,		yyvstop+51,
yycrank+27,	0,		yyvstop+53,
yycrank+0,	yysvec+4,	yyvstop+55,
yycrank+206,	yysvec+7,	yyvstop+57,
yycrank+0,	yysvec+7,	yyvstop+59,
yycrank+216,	0,		yyvstop+62,
yycrank+263,	0,		0,	
yycrank+20,	0,		0,	
yycrank+23,	0,		0,	
yycrank+279,	0,		0,	
yycrank+62,	0,		0,	
yycrank+293,	0,		0,	
yycrank+288,	0,		0,	
yycrank+0,	0,		yyvstop+64,
yycrank+335,	0,		0,	
yycrank+74,	0,		0,	
yycrank+349,	0,		0,	
yycrank+363,	0,		0,	
yycrank+399,	0,		yyvstop+66,
yycrank+0,	0,		yyvstop+68,
yycrank+75,	0,		0,	
yycrank+0,	0,		yyvstop+70,
yycrank+0,	0,		yyvstop+72,
yycrank+0,	0,		yyvstop+74,
yycrank+478,	0,		0,	
yycrank+0,	0,		yyvstop+76,
yycrank+0,	0,		yyvstop+78,
yycrank+488,	0,		0,	
yycrank+76,	0,		0,	
yycrank+0,	0,		yyvstop+80,
yycrank+502,	0,		0,	
yycrank+512,	0,		0,	
yycrank+507,	0,		0,	
yycrank+550,	0,		yyvstop+82,
yycrank+564,	0,		0,	
yycrank+77,	0,		0,	
yycrank+578,	0,		0,	
yycrank+0,	0,		yyvstop+84,
yycrank+590,	0,		0,	
yycrank+78,	0,		0,	
yycrank+133,	0,		0,	
yycrank+135,	yysvec+28,	0,	
yycrank+602,	0,		0,	
yycrank+0,	0,		yyvstop+86,
yycrank+0,	0,		yyvstop+88,
yycrank+0,	0,		yyvstop+90,
yycrank+617,	0,		0,	
yycrank+0,	0,		yyvstop+92,
yycrank+0,	0,		yyvstop+94,
yycrank+629,	0,		0,	
yycrank+0,	0,		yyvstop+96,
yycrank+136,	0,		0,	
yycrank+641,	yysvec+37,	0,	
yycrank+0,	0,		yyvstop+98,
yycrank+0,	0,		yyvstop+100,
yycrank+651,	yysvec+39,	0,	
yycrank+0,	0,		yyvstop+102,
yycrank+661,	yysvec+40,	0,	
yycrank+0,	0,		yyvstop+104,
yycrank+0,	0,		yyvstop+106,
yycrank+0,	0,		yyvstop+108,
yycrank+137,	0,		0,	
yycrank+139,	0,		0,	
yycrank+0,	0,		yyvstop+110,
yycrank+673,	0,		0,	
yycrank+0,	0,		yyvstop+113,
yycrank+140,	0,		0,	
yycrank+0,	0,		yyvstop+115,
yycrank+685,	0,		0,	
yycrank+0,	0,		yyvstop+117,
yycrank+697,	0,		0,	
yycrank+0,	0,		yyvstop+119,
yycrank+0,	0,		yyvstop+121,
yycrank+0,	0,		yyvstop+123,
yycrank+0,	0,		yyvstop+125,
yycrank+0,	0,		yyvstop+127,
yycrank+0,	0,		yyvstop+129,
yycrank+0,	0,		yyvstop+131,
yycrank+0,	0,		yyvstop+133,
yycrank+0,	0,		yyvstop+135,
yycrank+0,	0,		yyvstop+137,
yycrank+0,	0,		yyvstop+139,
yycrank+141,	yysvec+93,	0,	
0,	0,	0};
struct yywork *yytop = yycrank+754;
struct yysvf *yybgin = yysvec+1;
unsigned char yymatch[] = {
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,011 ,012 ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
040 ,'!' ,'!' ,'!' ,'!' ,'!' ,'!' ,'!' ,
'(' ,'(' ,01  ,'!' ,',' ,'-' ,'.' ,'!' ,
'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,
'0' ,'0' ,'!' ,';' ,'!' ,01  ,'!' ,'!' ,
'(' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,
'A' ,'A' ,'A' ,01  ,01  ,01  ,'!' ,'!' ,
'!' ,'!' ,'!' ,'!' ,'!' ,'!' ,'!' ,'!' ,
'!' ,'!' ,'!' ,'!' ,'!' ,'!' ,'!' ,'!' ,
'!' ,'!' ,'!' ,'!' ,'!' ,'!' ,'!' ,'!' ,
'!' ,'!' ,'!' ,01  ,'!' ,01  ,'!' ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
#ident	"$Revision: 1.7 $"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (void *)yyt > (void *)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((void *)yyt < (void *)yycrank) {	/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
	return(input());
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
	output(c);
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
